Bullet Collision Detection & Physics Library: btContactSolverInfoDoubleData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btContactSolverInfoDoubleData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btContactSolverInfo.h>`

## Public Attributes
double | m_tau
double | m_damping
double | m_friction
double | m_timeStep
double | m_restitution
double | m_maxErrorReduction
double | m_sor
double | m_erp
double | m_erp2
double | m_globalCfm
double | m_splitImpulsePenetrationThreshold
double | m_splitImpulseTurnErp
double | m_linearSlop
double | m_warmstartingFactor
double | m_articulatedWarmstartingFactor
double | m_maxGyroscopicForce
double | m_singleAxisRollingFrictionThreshold
| it is only used for 'explicit' version of gyroscopic force
int | m_numIterations
int | m_solverMode
int | m_restingContactRestitutionThreshold
int | m_minimumSolverBatchSize
int | m_splitImpulse
char | m_padding [4]

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 117 of file btContactSolverInfo.h.

## Member Data Documentation

## ◆ m_articulatedWarmstartingFactor

double btContactSolverInfoDoubleData::m_articulatedWarmstartingFactor

Definition at line 133 of file btContactSolverInfo.h.

## ◆ m_damping

double btContactSolverInfoDoubleData::m_damping

Definition at line 120 of file btContactSolverInfo.h.

## ◆ m_erp

double btContactSolverInfoDoubleData::m_erp

Definition at line 126 of file btContactSolverInfo.h.

## ◆ m_erp2

double btContactSolverInfoDoubleData::m_erp2

Definition at line 127 of file btContactSolverInfo.h.

## ◆ m_friction

double btContactSolverInfoDoubleData::m_friction

Definition at line 121 of file btContactSolverInfo.h.

## ◆ m_globalCfm

double btContactSolverInfoDoubleData::m_globalCfm

Definition at line 128 of file btContactSolverInfo.h.

## ◆ m_linearSlop

double btContactSolverInfoDoubleData::m_linearSlop

Definition at line 131 of file btContactSolverInfo.h.

## ◆ m_maxErrorReduction

double btContactSolverInfoDoubleData::m_maxErrorReduction

Definition at line 124 of file btContactSolverInfo.h.

## ◆ m_maxGyroscopicForce

double btContactSolverInfoDoubleData::m_maxGyroscopicForce

Definition at line 134 of file btContactSolverInfo.h.

## ◆ m_minimumSolverBatchSize

int btContactSolverInfoDoubleData::m_minimumSolverBatchSize

Definition at line 140 of file btContactSolverInfo.h.

## ◆ m_numIterations

int btContactSolverInfoDoubleData::m_numIterations

Definition at line 137 of file btContactSolverInfo.h.

## ◆ m_padding

char btContactSolverInfoDoubleData::m_padding[4]

Definition at line 142 of file btContactSolverInfo.h.

## ◆ m_restingContactRestitutionThreshold

int btContactSolverInfoDoubleData::m_restingContactRestitutionThreshold

Definition at line 139 of file btContactSolverInfo.h.

## ◆ m_restitution

double btContactSolverInfoDoubleData::m_restitution

Definition at line 123 of file btContactSolverInfo.h.

## ◆ m_singleAxisRollingFrictionThreshold

double btContactSolverInfoDoubleData::m_singleAxisRollingFrictionThreshold

it is only used for 'explicit' version of gyroscopic force

Definition at line 135 of file btContactSolverInfo.h.

## ◆ m_solverMode

int btContactSolverInfoDoubleData::m_solverMode

Definition at line 138 of file btContactSolverInfo.h.

## ◆ m_sor

double btContactSolverInfoDoubleData::m_sor

Definition at line 125 of file btContactSolverInfo.h.

## ◆ m_splitImpulse

int btContactSolverInfoDoubleData::m_splitImpulse

Definition at line 141 of file btContactSolverInfo.h.

## ◆ m_splitImpulsePenetrationThreshold

double btContactSolverInfoDoubleData::m_splitImpulsePenetrationThreshold

Definition at line 129 of file btContactSolverInfo.h.

## ◆ m_splitImpulseTurnErp

double btContactSolverInfoDoubleData::m_splitImpulseTurnErp

Definition at line 130 of file btContactSolverInfo.h.

## ◆ m_tau

double btContactSolverInfoDoubleData::m_tau

Definition at line 119 of file btContactSolverInfo.h.

## ◆ m_timeStep

double btContactSolverInfoDoubleData::m_timeStep

Definition at line 122 of file btContactSolverInfo.h.

## ◆ m_warmstartingFactor

double btContactSolverInfoDoubleData::m_warmstartingFactor

Definition at line 132 of file btContactSolverInfo.h.

The documentation for this struct was generated from the following file:

- btContactSolverInfo.h